Draft "Клонировать"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Clone and the translation is 38% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Clone.svg Клонировать

Системное название
Draft Clone
Расположение в меню
Черчение → Клонировать
Верстаки
Draft, Arch
Быстрые клавиши
C L
Представлено в версии
-
См. также
Масштаб

Описание

Этот инструмент создает клон (копию, параметрически связанную с исходным объектом) выбранного объекта. Если исходный объект изменяется, клон тоже меняется, но сохраняет свое положение, поворот и масштаб.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench. Clones of 2D objects can be used in PartDesign Bodies.

Draft Clone example.jpg

Draft Clone example.jpg

Применение

  1. Выберите объекты, которые вы хотите клонировать
  2. Нажмите кнопку Draft Clone.svg Черновик

Свойства

See also: Property editor.

An object created with the Draft Clone command is derived from a Part Part2DObject, a Part Feature object or, if an Arch Clone is created, from the object type of the source object. It inherits all properties from that object. A clone derived from one of the first two objects also has the following additional properties:

Данные

Draft

  • ДанныеFuse (Bool): specifies if overlapping shapes in the clone are fused or not.
  • ДанныеObjects (LinkListGlobal): specifies the objects that are cloned.
  • ДанныеScale (Vector): specifies the X, Y and Z scale factors.

Программирование

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a clone use the make_clone method (introduced in version 0.19) of the Draft module. This method replaces the deprecated clone method.

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • obj contains the objects to be cloned. It is either a single object or a list of objects.
  • delta is the displacement vector to be applied to the clone.
  • If forcedraft is False and obj contains a single Arch object an Arch Clone is created. Set forcedraft to True to create a Draft Clone instead.
  • cloned_object is returned with the clone object.

Пример:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()